import request from '@/utils/request'

/**
 *我的申请
 *@author：fyh
 *@date：2020-07
 * */

// 我的申请列表
  export function listInfo(query) {
    return request({
      url: '/fw/applyFor',
      method: 'get',
      params: query
    })
}


// 进度查看
export function recordImg(query) {
  return request({
    url: '/process/read-resource',
    method: 'post',
    responseType: 'blob',
    data: query
  })
}

// 审批历史
export function examineHistory(query,businessKey) {
  return request({
    url: '/fw/examineHistory',
    method: 'get',
    params: {
      'id': query,
      'businessKey': businessKey
    }
  })

}
export function ActManager(query) {
  return request({
    url: '/act/interface/ActManager',
    method: 'get',
    params: query
  })

}
//删除
export function deleteTask(id,actkey,dispose,cause) {
  return request({
    url: '/act/interface/deleteTask',
    method: 'get',
    params: {
      'processInstanceId': id,
      'actkey': actkey,
      'dispose':dispose,
      'cause':cause

    }
  })
  }
